org.eclipse.microprofile.metrics.tck.metrics

## Class SimplyTimedMethodBeanTest

- java.lang.Object
- - org.eclipse.microprofile.metrics.tck.metrics.SimplyTimedMethodBeanTest

    public class SimplyTimedMethodBeanTest
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`SimplyTimedMethodBeanTest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `callSimplyTimedMethodOnce()`
`void` `instantiateTest()`
`void` `removeSimpleTimerFromRegistry()`
`void` `simplyTimedMethodNotCalledYet()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SimplyTimedMethodBeanTest

    public SimplyTimedMethodBeanTest()

### Method Detail

#### instantiateTest

    public void instantiateTest()

#### simplyTimedMethodNotCalledYet

    @InSequence(value=1)
    public void simplyTimedMethodNotCalledYet()

#### callSimplyTimedMethodOnce

    @InSequence(value=2)
    public void callSimplyTimedMethodOnce()
                                                        throws InterruptedException

Throws:
  `InterruptedException`

#### removeSimpleTimerFromRegistry

    @InSequence(value=3)
    public void removeSimpleTimerFromRegistry()
                                                            throws InterruptedException

Throws:
  `InterruptedException`